%define upstream_name    App-intrunningsum
%define upstream_version 0.0.3

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Running sum of decimal big integers from stdin or files
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Math::GMP)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Performs an arithmetic sum of decimal integers in the files given as
command line arguments and STDIN, and displays the intermediate results at
each line.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/intrunningsum
%{_mandir}/man1/intrunningsum.1*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.0.3-3.mga10
+ Revision: 2206509
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.0.3-2.mga9
+ Revision: 1813415
- Mageia 9 Mass Rebuild

* Sun Oct 18 2020 tv <tv> 0.0.3-1.mga8
+ Revision: 1636745
- update to 0.0.3

* Thu Feb 20 2020 umeabot <umeabot> 0.0.2-2.mga8
+ Revision: 1546627
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 shlomif <shlomif> 0.0.2-1.mga8
+ Revision: 1486882
- imported package perl-App-intrunningsum


* Tue Feb 04 2020 cpan2dist 0.0.2-1mga
- initial mageia release, generated with cpan2dist
